Search documentation of ssl

# ssl_crl_cache (ssl v11.6)

Copy Markdown View Source

CRL cache

Implements an internal CRL (Certificate Revocation List) cache. In addition to implementing the `ssl_crl_cache_api` behaviour the following functions are available.

## Summary

### Types

crl_src()

A source to input CRLs

### Functions

delete(Entries)

Delete CRLs from the ssl applications local cache.

insert(CRLSrc)

Equivalent to `insert/2`.

insert(DistPointURI, CRLSrc)

Insert CRLs into the ssl applications local cache, with or without a distribution point reference URI

## Types

# crl_src()

(since OTP 18.0)

    -type crl_src() :: {file, file:filename()} | {der, public_key:der_encoded()}.

A source to input CRLs

## Functions

# delete(Entries)

(since OTP 18.0)

    -spec delete(Entries) -> ok | {error, Reason}
                    when Entries :: crl_src() | uri_string:uri_string(), Reason :: ssl:reason().

Delete CRLs from the ssl applications local cache.

# insert(CRLSrc)

(since OTP 18.0)

    -spec insert(CRLSrc) -> ok | {error, Reason} when CRLSrc :: crl_src(), Reason :: ssl:reason().

Equivalent to `insert/2`.

# insert(DistPointURI, CRLSrc)

(since OTP 18.0)

    -spec insert(DistPointURI, CRLSrc) -> ok | {error, Reason}
                    when
                        DistPointURI :: uri_string:uri_string(), CRLSrc :: crl_src(), Reason :: ssl:reason().

Insert CRLs into the ssl applications local cache, with or without a distribution point reference URI